<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.views">
      <category
            name="Sade Publish"
            id="info.textgrid.lab.sadepublish">
      </category>
      <view
            name="Sade Publish View"
            icon="icons/153-Web-Preview.gif"
            category="info.textgrid.lab.sadepublish"
            class="info.textgrid.lab.sadepublish.views.SadePublishView"
            id="info.textgrid.lab.sadepublish.views.SadePublishView">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="info.textgrid.lab.sadepublish.perspectives.SadePublishPerspective"
            id="info.textgrid.lab.sadepublish.perspectives.SadePublishPerspective"
            name="Sade Publish Perspective">
      </perspective>
   </extension>
   <extension
        point="org.eclipse.ui.commands">
     <command
           description="Open Sade Publish Perspective"
           id="info.textgrid.lab.sadepublish.showSadePublish"
           name="SADE Publish">
     </command>
   </extension>
   <extension
        point="org.eclipse.ui.handlers">
     <handler
           class="info.textgrid.lab.sadepublish.handlers.ShowSadePublishPerspectiveHandler"
           commandId="info.textgrid.lab.sadepublish.showSadePublish">
     </handler>
   </extension>
   <extension
        point="org.eclipse.ui.commands">
     <command
           description="Publish selected Object to SADE"
           id="info.textgrid.lab.sadepublish.publishSelected"
           name="Publish to SADE">
     </command>
   </extension>
   <extension
        point="org.eclipse.ui.handlers">
     <handler
           class="info.textgrid.lab.sadepublish.handlers.ShowSadePublishPerspectiveHandler"
           commandId="info.textgrid.lab.sadepublish.publishSelected">
     </handler>
   </extension>
   <extension
        point="org.eclipse.ui.menus">
     <menuContribution
           locationURI="menu:tools?after=tools.anchor1.3">
        <command
              commandId="info.textgrid.lab.sadepublish.showSadePublish"
              icon="icons/153-Web-Preview.gif">
        </command>
     </menuContribution>
          <menuContribution
           locationURI="toolbar:perspectivesbar">
        <command
              commandId="info.textgrid.lab.sadepublish.showSadePublish"
              icon="icons/153-Web-Preview.gif"
              label="Sade Publish"
              tooltip="Publish TextGrid Objects to Sade">
        </command>
     </menuContribution>
           <menuContribution
            locationURI="popup:org.eclipse.ui.popup.any?after=additions">
         <command
               commandId="info.textgrid.lab.sadepublish.publishSelected"
               icon="icons/153-Web-Preview.gif"
               style="push">
            <visibleWhen
                  checkEnabled="true">
	               <iterate>
                       <and>
                          <test
                                forcePluginActivation="true"
                                property="info.textgrid.lab.sadepublish.tester.IsPublishableObject"
                                value="true">
                          </test>
                       </and>
	               </iterate>
            </visibleWhen>
         </command>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.core.expressions.propertyTesters">
       <propertyTester
	       class="info.textgrid.lab.sadepublish.tester.IsPublishableObject"
	       id="info.textgrid.lab.sadepublish.tester.IsPublishableObject"
	       namespace="info.textgrid.lab.sadepublish.tester"
	       properties="IsPublishableObject"
	       type="java.lang.Object">
       </propertyTester>
   </extension>
   <!--extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.jdt.ui.JavaPerspective">
         <view
               ratio="0.5"
               relative="org.eclipse.ui.views.TaskList"
               relationship="right"
               id="info.textgrid.lab.sadepublish.views.SadePublishView">
         </view>
      </perspectiveExtension>
   </extension-->
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="contexts.xml">
      </contexts>
   </extension>
      <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="info.textgrid.lab.sadepublish.preferences.PluginPreferencePage"
            id="info.textgrid.lab.sadepublish.preferences"
            name="Sade Publisher">
      </page>
   </extension>

</plugin>
